Subject: bug#50798: 28.0.50; Tab line close button is off-center until it is highlighted with the mouse

From: Juri Linkov <[email-masked]>
Date: Tue, 28 Sep 2021 21:46:28 +0300

>> The problem is that hovering mouse over the text property 'mouse-face'
>> set to 'tab-line-highlight' that contains ':inherit' applies its face
>> attributes such as :box :line-width twice thus shifting the image upwards.
>
> Sounds like a potential bug.  Hod did you see that these attributes
> were applied twice?  And why applying the same attribute twice causes
> effects that are different from applying it once?

It was a guess that it's applied twice.  Maybe there is another bug.
At looked at the depths of 'note_mode_line_or_margin_highlight',
but don't understand what is wrong.  Some X coords are miscalculated
when the mouse-face is inherited from the face with with :line-width 1.